Arsel AI API - أرسل
Arse.aiRegister
Arse.aiRegister
  1. Contact Lists
  • Account
    • Get authenticated account info
      GET
  • Domains
    • List domains
      GET
    • Create a domain (and generate verification DNS records)
      POST
    • Delete a domain
      DELETE
  • Contact Lists
    • List contact lists
      GET
    • Create a contact list
      POST
    • Import subscribers into a contact list
      POST
    • List subscribers for a contact list
      GET
    • Get subscriber details (including subscriber mails)
      GET
    • Create a subscriber in a contact list
      POST
    • Update a subscriber (by subscriber UUID)
      PUT
    • Delete a subscriber (by subscriber UUID)
      DELETE
    • Toggle subscriber subscription status
      PUT
  • Campaigns
    • List campaigns
      GET
    • Create a campaign
      POST
    • Update a campaign
      PUT
    • Delete a campaign
      DELETE
  • Templates
    • List templates
      GET
    • Toggle template publish status
      PUT
  • Email Sending
    • Send an email (queued)
      POST
  • Schemas
    • PaginationLinks
    • PaginationMeta
    • Domain
    • DomainCollection
    • ContactList
    • ContactListPaginator
    • CreatedContactList
    • CreateContactListResponse
    • Subscriber
    • SubscriberPaginator
    • SubscriberMail
    • SubscriberMailPaginator
    • SubscriberDetailsResponse
    • Campaign
    • CampaignCollection
    • CampaignCreateOrUpdateResponse
    • DeleteResponse
    • TemplateListItem
    • TemplatePaginator
    • ErrorResponse
    • MessageResponse
    • AccountInfoResponse
    • CreateDomainRequest
    • CreateContactListRequest
    • CreateOrUpdateSubscriberRequest
    • CreateSubscriberResponse
    • ImportSubscribersRequest
    • CreateOrUpdateCampaignRequest
    • SendEmailRequest
  1. Contact Lists

List contact lists

GET
/v1/contact-lists
Returns paginated contact lists for the account.
Internal id / account_id and nested dashboard account objects are omitted.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Paginated contact lists (paginator shape; scrubbed of dashboard account data)
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.arsel.ai/api/v1/contact-lists?per_page=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "current_page": 0,
    "data": [
        {
            "uuid": "string",
            "name": "string",
            "from_email": "user@example.com",
            "from_name": "string",
            "reply_email": "user@example.com",
            "reply_name": "string",
            "created_at": "string",
            "updated_at": "string",
            "subscribers_count": 0
        }
    ],
    "first_page_url": "string",
    "from": 0,
    "last_page": 0,
    "last_page_url": "string",
    "links": [
        {
            "url": "string",
            "label": "string",
            "active": true
        }
    ],
    "next_page_url": "string",
    "path": "string",
    "per_page": 0,
    "prev_page_url": "string",
    "to": 0,
    "total": 0
}
Previous
Delete a domain
Next
Create a contact list
Built with